<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid Exercise</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri, Arial, Helvetica;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        .container {
            width: 100%;
            height: 100%;
            display: grid;
            grid-template-columns: 250px 1fr;
            grid-template-rows: 250px 50px 1fr 75px;
            grid-template-areas:
                "main-nav header"
                "main-nav top-nav"
                "main-nav main"
                "main-nav footer";
        }

        .container div {
            border: 1px solid black;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .header {
            grid-area: header;
        }

        .top-nav {
            grid-area: top-nav;
        }

        .main-nav {
            grid-area: main-nav;
        }

        .main {
            grid-area: main;
        }

        .footer {
            grid-area: footer;
        }

        @media (max-width: 600px) {
            .container {
                grid-template-columns: 1fr;
                grid-template-rows: 100px 75px 100px auto 50px;
                grid-template-areas:
                    "header"
                    "footer"
                    "main-nav"
                    "main"
                    "top-nav";
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="header">Header</div>
        <div class="top-nav">Top navigation</div>
        <div class="main-nav">Main navigation</div>
        <div class="main">Main content</div>
        <div class="footer">Footer</div>
    </div>
</body>

</html>